Loading...
Searching...
No Matches
juce::dsp::ProcessContextReplacing< ContextSampleType > Struct Template Reference

## Detailed Description

template<typename ContextSampleType>
struct juce::dsp::ProcessContextReplacing< ContextSampleType >

Contains context information that is passed into an algorithm's process method.

This context is intended for use in situations where a single block is being used for both the input and output, so it will return the same object for both its getInputBlock() and getOutputBlock() methods.

See also
  ProcessContextNonReplacing

The documentation for this struct was generated from the following file:

- juce_dsp/processors/juce_ProcessContext.h

## Public Types

using | SampleType = ContextSampleType
| The type of a single sample (which may be a vector if multichannel).
using | AudioBlockType = AudioBlock<SampleType>
| The type of audio block that this context handles.
using | ConstAudioBlockType = AudioBlock<const SampleType>

## Public Member Functions

| ProcessContextReplacing (AudioBlockType &block) noexcept
| Creates a ProcessContextReplacing that uses the given audio block.
| ProcessContextReplacing (const ProcessContextReplacing &)=default
| ProcessContextReplacing (ProcessContextReplacing &&)=default
const ConstAudioBlockType & | getInputBlock () const noexcept
| Returns the audio block to use as the input to a process function.
AudioBlockType & | getOutputBlock () const noexcept
| Returns the audio block to use as the output to a process function.

## Static Public Member Functions

static constexpr bool | usesSeparateInputAndOutputBlocks ()
| All process context classes will define this constant method so that templated code can determine whether the input and output blocks refer to the same buffer, or to two different ones.

## Public Attributes

bool | isBypassed = false
| If set to true, then a processor's process() method is expected to do whatever is appropriate for it to be in a bypassed state.

## Member Typedef Documentation

## SampleType

template<typename ContextSampleType>

using juce::dsp::ProcessContextReplacing< ContextSampleType >::SampleType = ContextSampleType

The type of a single sample (which may be a vector if multichannel).

## AudioBlockType

template<typename ContextSampleType>

using juce::dsp::ProcessContextReplacing< ContextSampleType >::AudioBlockType = AudioBlock<SampleType>

The type of audio block that this context handles.

## ConstAudioBlockType

template<typename ContextSampleType>

using juce::dsp::ProcessContextReplacing< ContextSampleType >::ConstAudioBlockType = AudioBlock<const SampleType>

## Constructors and Destructors

## ProcessContextReplacing() [1/3]

template<typename ContextSampleType>

juce::dsp::ProcessContextReplacing< ContextSampleType >::ProcessContextReplacing | ( | AudioBlockType & | block | ) |

inline noexcept

Creates a ProcessContextReplacing that uses the given audio block.

Note that the caller must not delete the block while it is still in use by this object!

Referenced by ProcessContextReplacing(), and ProcessContextReplacing().

## ProcessContextReplacing() [2/3]

template<typename ContextSampleType>

juce::dsp::ProcessContextReplacing< ContextSampleType >::ProcessContextReplacing | ( | const ProcessContextReplacing< ContextSampleType > & |  | ) |

default

References ProcessContextReplacing().

## ProcessContextReplacing() [3/3]

template<typename ContextSampleType>

juce::dsp::ProcessContextReplacing< ContextSampleType >::ProcessContextReplacing | ( | ProcessContextReplacing< ContextSampleType > && |  | ) |

default

References ProcessContextReplacing().

## Member Functions

## getInputBlock()

template<typename ContextSampleType>

const ConstAudioBlockType & juce::dsp::ProcessContextReplacing< ContextSampleType >::getInputBlock | ( |  | ) | const

inline noexcept

Returns the audio block to use as the input to a process function.

## getOutputBlock()

template<typename ContextSampleType>

AudioBlockType & juce::dsp::ProcessContextReplacing< ContextSampleType >::getOutputBlock | ( |  | ) | const

inline noexcept

Returns the audio block to use as the output to a process function.

## usesSeparateInputAndOutputBlocks()

template<typename ContextSampleType>

constexpr bool juce::dsp::ProcessContextReplacing< ContextSampleType >::usesSeparateInputAndOutputBlocks | ( |  | ) |

inline static constexpr

All process context classes will define this constant method so that templated code can determine whether the input and output blocks refer to the same buffer, or to two different ones.

## Member Data Documentation

## isBypassed

template<typename ContextSampleType>

bool juce::dsp::ProcessContextReplacing< ContextSampleType >::isBypassed = false

If set to true, then a processor's process() method is expected to do whatever is appropriate for it to be in a bypassed state.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited